%define name stuffkeeper
%define version 0.12.0
%define release %mkrel 2
%define __libtoolize	/bin/true

Summary:	A generic catalog program.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Graphical desktop/GNOME
URL:		http://stuffkeeper.org/
Source0:	http://stuffkeeper.org/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  vala-devel => 0.7.0
BuildRequires:  gtk2-devel
BuildRequires:  glib-devel
BuildRequires:  libglade2.0_0-devel
BuildRequires:  sqlite3-devel
BuildRequires:  libgpgme-devel
BuildRequires:  python-gobject-devel
BuildRequires:  gettext
BuildRequires:  gob2
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
Stuffkeeper is a generic catalog program. It is not focused on a particular type, 
you define any amount of types, like audio-cd, dvd, serial-number, computer-hardware, 
etc. All the items are listed in one big list using tags and search to order/filter 
these items.

The program is still pre-alpha so expect changes, bugs and missing functionality. 
To get an idea on how stuffkeeper looks and works checkout the Getting started guide.

%prep
%setup -q 


%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
gtk-update-icon-cache -f -t /usr/share/icons/hicolor
%{update_menus}

%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS ChangeLog 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.12.0-2pclos2010
- rebuild

* Sun Aug 18 2009 slick50 <lxgator@gmail.com> 0.12.0-1pclos2009
- initial build
